using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.OleDb;
using System.Collections;
using Telerik.Web.UI.Calendar;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridGroupHeaderItem)
        {
            GridGroupHeaderItem header = (GridGroupHeaderItem)e.Item;
            header.Attributes.Add("onmouseover", "headerMouseOver('" + header.DataCell.ClientID + "');");
            AddValuePlaceholder(header);            
        }
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
       
    }

    private void AddValuePlaceholder(GridGroupHeaderItem item)
    {
        if (item.FindControl("GroupValuePlaceholder") != null)
            return;

        TextBox placeholder = new TextBox();
        placeholder.ID = "GroupValuePlaceholder";
        placeholder.Style[HtmlTextWriterStyle.Display] = "none";
        item.Cells[0].Controls.Add(placeholder);

        placeholder.PreRender += delegate(object sender, EventArgs args)
        {
            GridItem[] children = item.GetChildItems();
            if (children.Length > 0)
            {
                GridDataItem dataItem = children[0] as GridDataItem;

                string customerID = item.OwnerTableView.DataKeyValues[dataItem.ItemIndex]["CustomerID"].ToString();
                placeholder.Text = customerID;
            }
        };
    }


    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.Item.ItemType == GridItemType.GroupHeader)
        {
            TextBox placeHolder = e.Item.FindControl("GroupValuePlaceholder") as TextBox;
            RadAjaxManager1.ResponseScripts.Add(string.Format("alert('{0}');", placeHolder.Text));
        }
    }
}
